#include "_nglew.h"

void LoadFun(_glewFun *glewFun,QGLWidget *widget)
{

    glewFun->GenBuffers=(_glGenBuffers)widget->context()->getProcAddress(QLatin1String("glGenBuffers"));
    glewFun->Init=(_glewInit)widget->context()->getProcAddress(QLatin1String("glewInit"));
    glewFun->IsSupported=(_glewIsSupported)widget->context()->getProcAddress(QLatin1String("glewIsSupported"));
    glewFun->BindBuffer=(_glBindBuffer)widget->context()->getProcAddress(QLatin1String("glBindBuffer"));
    glewFun->BufferData=(_glBufferData)widget->context()->getProcAddress(QLatin1String("glBufferData"));
    glewFun->DeleteBuffers=(_glDeleteBuffers)widget->context()->getProcAddress(QLatin1String("glDeleteBuffers"));
    glewFun->BindBufferARB=(_glBindBufferARB)widget->context()->getProcAddress(QLatin1String("glBindBufferARB"));
    glewFun->MapBufferARB=(_glMapBufferARB)widget->context()->getProcAddress(QLatin1String("glMapBufferARB"));
    glewFun->MapBuffer=(_glMapBuffer)widget->context()->getProcAddress(QLatin1String("glMapBuffer"));
    glewFun->UnmapBufferARB=(_glUnmapBufferARB)widget->context()->getProcAddress(QLatin1String("glUnmapBufferARB"));
    glewFun->UnmapBuffer=(_glUnmapBuffer)widget->context()->getProcAddress(QLatin1String("glUnmapBuffer"));
    glewFun->GetBufferParameteriv=(_glGetBufferParameteriv)widget->context()->getProcAddress(QLatin1String("glGetBufferParameteriv"));
    glewFun->CreateShader=(_glCreateShader)widget->context()->getProcAddress(QLatin1String("glCreateShader"));
    glewFun->LinkProgram=(_glLinkProgram)widget->context()->getProcAddress(QLatin1String("glLinkProgram"));
    glewFun->AttachShader=(_glAttachShader)widget->context()->getProcAddress(QLatin1String("glAttachShader"));
    glewFun->CreateProgram=(_glCreateProgram)widget->context()->getProcAddress(QLatin1String("glCreateProgram"));
    glewFun->CompileShader=(_glCompileShader)widget->context()->getProcAddress(QLatin1String("glCompileShader"));
    glewFun->ShaderSource=(_glShaderSource)widget->context()->getProcAddress(QLatin1String("glShaderSource"));
    glewFun->UseProgram=(_glUseProgram)widget->context()->getProcAddress(QLatin1String("glUseProgram"));

    //qDebug()<<"Load glLinkProgram: "<<glewFun->LinkProgram;
    //qDebug()<<"Load glAttachShader: "<<glewFun->AttachShader;
    //qDebug()<<"Load glCreateProgram: "<<glewFun->CreateProgram;
    //qDebug()<<"Load glCompileShader: "<<glewFun->CompileShader;
    //qDebug()<<"Load glShaderSource: "<<glewFun->ShaderSource;
    //qDebug()<<"Load glCreateShader: "<<glewFun->CreateShader;
    //qDebug()<<"Load glewInit: "<<glewFun->Init;
    //qDebug()<<"Load glGenBuffers: "<<glewFun->GenBuffers;
   //qDebug()<<"Load glewIsSupported: "<<glewFun->IsSupported;
    //qDebug()<<"Load glBindBuffer: "<<glewFun->BindBuffer;
    //qDebug()<<"Load glBufferData: "<<glewFun->BufferData;
    //qDebug()<<"Load glDeleteBuffers: "<<glewFun->DeleteBuffers;
    //qDebug()<<"Load glBindBufferARB: "<<glewFun->BindBufferARB;
    //qDebug()<<"Load glMapBufferARB: "<<glewFun->MapBufferARB;
    //qDebug()<<"Load glUnmapBufferARB: "<<glewFun->UnmapBufferARB;
};

void GetGLExt()
{
    qDebug()<<glGetString(GL_EXTENSIONS);
}
